<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/fragment_category"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:animateLayoutChanges="@bool/animate_layout_change"
    android:background="@color/clr_grey2" >

    <!-- header -->

    <LinearLayout
        android:id="@+id/fragment_category_choice"
        android:layout_width="match_parent"
        android:layout_height="@dimen/button_favorite"
        android:layout_alignParentTop="true"
        android:layout_marginLeft="@dimen/margin_medium"
        android:layout_marginRight="@dimen/margin_medium"
        android:layout_marginTop="@dimen/margin_medium"
        android:gravity="center_horizontal" >

        <Button
            android:id="@+id/fragment_category_location"
            style="@android:style/TextAppearance.Medium"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/selector_blue_favorite_dark"
            android:clickable="true"
            android:gravity="center"
            android:singleLine="true"
            android:text="@string/fragment_category_location"
            android:textColor="@android:color/white" />

        <Button
            android:id="@+id/fragment_category_genre"
            style="@android:style/TextAppearance.Medium"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/selector_blue_favorite"
            android:clickable="true"
            android:gravity="center"
            android:singleLine="true"
            android:text="@string/fragment_category_genre"
            android:textColor="@android:color/white" />
    </LinearLayout>

    <View
        android:id="@+id/shadow_bot1"
        android:layout_width="match_parent"
        android:layout_height="4px"
        android:layout_below="@+id/fragment_category_choice"
        android:layout_marginLeft="@dimen/margin_medium"
        android:layout_marginRight="@dimen/margin_medium"
        android:background="@color/clr_grey3" >
    </View>
    <!-- menu choices -->

    <ScrollView
        android:id="@+id/fragment_category_scroll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/shadow_bot1"
        android:overScrollMode="never"
        android:visibility="visible" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:orientation="vertical"
            android:paddingLeft="@dimen/margin_medium"
            android:paddingRight="@dimen/margin_medium"
            android:paddingTop="@dimen/margin_medium" >

            <!-- international -->

            <RelativeLayout
                android:id="@+id/fragment_category_inter"
                android:layout_width="match_parent"
                android:layout_height="?android:attr/listPreferredItemHeight"
                android:background="@drawable/selector_list_blue"
                android:clickable="true" >

                <TextView
                    android:id="@+id/fragment_category_inter_label"
                    style="@android:style/TextAppearance.Small"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:layout_margin="16dp"
                    android:text="@string/fragment_category_inter" />

                <ImageView
                    android:id="@+id/fragment_category_inter_go"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/abs__ic_go_search_api_holo_light" />
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="@color/clr_trans_grey"
                android:orientation="vertical" >
            </View>

            <!-- national -->

            <RelativeLayout
                android:id="@+id/fragment_category_national"
                android:layout_width="match_parent"
                android:layout_height="?android:attr/listPreferredItemHeight"
                android:background="@drawable/selector_list_simple"
                android:clickable="true" >

                <TextView
                    android:id="@+id/fragment_category_national_label"
                    style="@android:style/TextAppearance.Small"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:layout_margin="16dp"
                    android:text="@string/fragment_category_national" />

                <ImageView
                    android:id="@+id/fragment_category_national_go"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/abs__ic_go_search_api_holo_light" />
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="@color/clr_trans_grey"
                android:orientation="vertical" >
            </View>

            <!-- local -->

            <RelativeLayout
                android:id="@+id/fragment_category_local"
                android:layout_width="match_parent"
                android:layout_height="?android:attr/listPreferredItemHeight"
                android:background="@drawable/selector_list_blue"
                android:clickable="true" >

                <TextView
                    android:id="@+id/fragment_category_local_label"
                    style="@android:style/TextAppearance.Small"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:layout_margin="16dp"
                    android:text="@string/fragment_category_local" />

                <ImageView
                    android:id="@+id/fragment_category_local_go"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/abs__ic_go_search_api_holo_light" />
            </RelativeLayout>
        </LinearLayout>
    </ScrollView>

    <!-- list -->

    <ListView
        android:id="@+id/fragment_category_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/fragment_category_choice"
        android:clipToPadding="false"
        android:divider="@color/clr_grey3"
        android:dividerHeight="1px"
        android:fastScrollEnabled="true"
        android:overScrollMode="never"
        android:paddingLeft="@dimen/margin_medium"
        android:paddingRight="@dimen/margin_medium"
        android:paddingTop="@dimen/margin_medium"
        android:scrollbarStyle="outsideOverlay"
        android:visibility="gone" >
    </ListView>

    <!-- download layouts -->

    <include
        android:id="@+id/fragment_category_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        layout="@layout/view_loading"
        android:visibility="gone" />

    <include
        android:id="@+id/fragment_category_reload"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true"
        layout="@layout/view_reload"
        android:visibility="gone" />

    <include
        android:id="@+id/fragment_category_noresult"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        layout="@layout/view_no_result"
        android:visibility="gone" />

</RelativeLayout>